<style>
    footer:before {
        content:"";
        display:block;
        height:46px;
        width:100%;
        background-size:300px;
        background-repeat:repeat-x;
        background-position:top center
    }
    footer a {
        font-weight:800
    }
    footer>etwin-footer {
        padding:4.6em 2.4em;
        background-color:#f2dfb9;
        display:flex;
        justify-content:center;
        align-items:stretch
    }
    footer p:not(.box) {
        margin:0;
        padding:0
    }
    footer .box {
        margin:7px 4px;
        width:152px;
        padding:1.4em;
        border-radius:4px;
        background: #f9f4e1;
        border:1px solid #494943;
        border-bottom-width:4px;
        display:flex;
        justify-content:center;
        align-items:flex-start;
        flex-direction:column
    }
    footer .box.description {
        width:392px
    }
    footer .box.description:before {
        content:"";
        margin:-68px auto 0;
        width:80px;
        height:80px;
        background-image:url({{ asset('img/etwin_icon.svg') }}),radial-gradient(circle,#f2dfb9 40%,rgba(4,4,6,0) 75%);
        background-repeat:no-repeat;
        background-position:center
    }
    @media only screen and (max-width: 768px) {
        footer {
            font-size:.88em
        }
        footer>etwin-footer {
            flex-direction:row;
            flex-wrap:wrap
        }
        footer .box {
            min-width:0;
            flex:1 1;
            order:1
        }
        footer .box.description {
            min-width:95%;
            order:0
        }
    }
</style>

{% trans_default_domain 'Common' %}

<footer>
    <etwin-footer>
        <div class="box language">
            <p>
            <a href="{{ path('homepage_locale', {_locale: 'de'}) }}" lang="de-DE"><img src="{{ asset('img/flags/de.png') }}" /> Deutsch</a><br>
            <a href="{{ path('homepage_locale', {_locale: 'en'}) }}" lang="en-US"><img src="{{ asset('img/flags/en.png') }}" /> English</a><br>
            <a href="{{ path('homepage_locale', {_locale: 'es'}) }}"><img src="{{ asset('img/flags/es.png') }}" /> Español</a><br>
            <a href="{{ path('homepage_locale', {_locale: 'fr'}) }}"><img src="{{ asset('img/flags/fr.png') }}" /> Français</a><br>
            <br>
                Server time : {{ "now"|date("H:i:s") }}
            </p>
        </div>
        <div class="box description">
            <p>
                {{ 'footer.eternalTwin' | trans | raw }}
                </br>
                {% set linkForBugReport = '<a href="https://eternal-twin.net/forum/threads/ac1dc881-bb89-4fcb-974b-62feb5057600">' ~ 'footer.reportBug.where' | trans ~ '</a>' %}
                {{ 'footer.reportBug.message' | trans({'%link%':linkForBugReport}) | raw }}
            </p>
        </div>
        <div class="box links">
            <a href="{{ path('credits') }}">{{ 'footer.credits' | trans }}</a>
            <a href="https://discord.gg/ERc3svy">{{ 'footer.discordServer' | trans }}</a>
            <a href="https://wiki.eternal-twin.net/kingdom">Eternal Twinpedia</a>
            <a href="https://eternal-twin.net/legal">{{ 'footer.legalMentions' | trans }}</a>
            <a href="https://gitlab.com/eternaltwin/kingdom/kingdom/-/commit/{{ git_commit_hash }}">{{ 'footer.gitcommit' | trans }} {{ git_commit_hash | slice(0, 8) }}</a>
        </div>
    </etwin-footer>
</footer>